All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.relational
Class SwingRelationalActionStrategyFactory

    com.sas.actionprovider.strategies.relational.SwingRelationalActionStrategyFactory

All Implemented Interfaces:
  RelationalActionTypeKeysInterface, SwingRelationalActionTypeKeysInterface, SwingTableViewAreaInterface, TableViewAreaInterface

    public class SwingRelationalActionStrategyFactory

implements SwingTableViewAreaInterface, SwingRelationalActionTypeKeysInterface

Field Summary

Fields inherited from interface com.sas.actionprovider.support.tableview.SwingTableViewAreaInterface
`DRAG_COLUMN_AREA, TOOLBAR_AREA`

Fields inherited from interface com.sas.actionprovider.support.tableview.TableViewAreaInterface
`COLUMN_HEADER_AREA, DATA_CELL_AREA, EDIT_COLUMN_AREA, EDIT_ROW_AREA, ROW_HEADER_AREA, TITLE_AREA`

Fields inherited from interface com.sas.actionprovider.support.tableview.SwingRelationalActionTypeKeysInterface
`ADD_ROW_ACTION, CANCEL_ROW_INSERT_ACTION, CLEAR_ACTION, COMMIT_INSERTED_ROW_ACTION, COPY_ACTION, CUT_ACTION, DELETE_ROW_ACTION, DRAG_COLUMN_ACTION, HIDE_COLUMN_ACTION, HOLD_COLUMN_LEFT_ACTION, HOLD_COLUMN_RIGHT_ACTION, HOLD_ROW_BOTTOM_ACTION, HOLD_ROW_MENU_ACTION, HOLD_ROW_TOP_ACTION, INSERT_ROW_ACTION, MOVE_COLUMN_MENU_ACTION, PASTE_ACTION, RELEASE_ALL_COLUMNS_ACTION, RELEASE_ALL_ROWS_ACTION, RELEASE_COLUMN_ACTION, RELEASE_ROW_ACTION, RELEASE_SELECTED_COLUMN_ACTION, RELEASE_SELECTED_ROW_ACTION, SHOW_ALL_COLUMNS_ACTION, SHOW_COLUMN_ACTION`

Fields inherited from interface com.sas.actionprovider.support.tableview.RelationalActionTypeKeysInterface
`CALCULATED_ITEM_SELECTOR_ACTION, CLEAR_SORT_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_ACTION, EXPORT_TO_EXCEL_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, MOVE_COLUMN_LEFT_ACTION, MOVE_COLUMN_RIGHT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, SORT_COLUMN_ASCENDING_ACTION, SORT_COLUMN_DESCENDING_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Constructor Summary
`SwingRelationalActionStrategyFactory()`

Method Summary
`static ActionStrategyInterface` | `getActionStrategy(java.lang.String areaType, java.lang.String actionType, boolean fromCache)`

Constructor Detail

### SwingRelationalActionStrategyFactory

    public SwingRelationalActionStrategyFactory()

Method Detail

### getActionStrategy

    public static ActionStrategyInterface getActionStrategy(java.lang.String areaType,
                                                            java.lang.String actionType,
                                                            boolean fromCache)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.